summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
Diffstat (limited to 'libraries')
-rw-r--r--libraries/iso-codes/README3
-rw-r--r--libraries/iso-codes/iso-codes.SlackBuild66
-rw-r--r--libraries/iso-codes/iso-codes.info8
-rw-r--r--libraries/iso-codes/slack-desc19
4 files changed, 96 insertions, 0 deletions
diff --git a/libraries/iso-codes/README b/libraries/iso-codes/README
new file mode 100644
index 0000000000..45d54f3bd6
--- /dev/null
+++ b/libraries/iso-codes/README
@@ -0,0 +1,3 @@
+This package provides lists of various ISO standards (e.g. country,
+language, language scripts, and currency names) in one place, rather
+than repeated in many programs throughout the system. \ No newline at end of file
diff --git a/libraries/iso-codes/iso-codes.SlackBuild b/libraries/iso-codes/iso-codes.SlackBuild
new file mode 100644
index 0000000000..c69f1a3544
--- /dev/null
+++ b/libraries/iso-codes/iso-codes.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for iso-codes
+
+# Copyright 2008-2009 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=iso-codes
+VERSION=3.8
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL LICENSE README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/iso-codes/iso-codes.info b/libraries/iso-codes/iso-codes.info
new file mode 100644
index 0000000000..f0674006ef
--- /dev/null
+++ b/libraries/iso-codes/iso-codes.info
@@ -0,0 +1,8 @@
+PRGNAM="iso-codes"
+VERSION="3.8"
+HOMEPAGE="http://pkg-isocodes.alioth.debian.org/"
+DOWNLOAD="ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes/iso-codes-3.8.tar.bz2"
+MD5SUM="7b219078203a710b7510ba54c161097c"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/libraries/iso-codes/slack-desc b/libraries/iso-codes/slack-desc
new file mode 100644
index 0000000000..c74ffb5935
--- /dev/null
+++ b/libraries/iso-codes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+iso-codes: iso-codes (ISO-standard lists)
+iso-codes:
+iso-codes: This package provides lists of various ISO standards (e.g.
+iso-codes: country, language, language scripts, and currency names) in one
+iso-codes: place, rather than repeated in many programs throughout the system.
+iso-codes:
+iso-codes: Homepage: http://pkg-isocodes.alioth.debian.org/
+iso-codes:
+iso-codes:
+iso-codes:
+iso-codes: